CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfEvent Union Reference

sfEvent defines a system event and its parameters More...

`#include <Event.h>`

## Data Fields
sfEventType | type
| Type of the event. More...
sfSizeEvent | size
sfKeyEvent | key
sfTextEvent | text
sfMouseMoveEvent | mouseMove
sfMouseButtonEvent | mouseButton
sfMouseWheelEvent | mouseWheel
sfJoystickMoveEvent | joystickMove
sfJoystickButtonEvent | joystickButton
sfJoystickConnectEvent | joystickConnect

## Detailed Description

sfEvent defines a system event and its parameters

Definition at line 171 of file Event.h.

## Field Documentation

sfJoystickButtonEvent sfEvent::joystickButton

Definition at line 184 of file Event.h.

sfJoystickConnectEvent sfEvent::joystickConnect

Definition at line 185 of file Event.h.

sfJoystickMoveEvent sfEvent::joystickMove

Definition at line 183 of file Event.h.

sfKeyEvent sfEvent::key

Definition at line 178 of file Event.h.

sfMouseButtonEvent sfEvent::mouseButton

Definition at line 181 of file Event.h.

sfMouseMoveEvent sfEvent::mouseMove

Definition at line 180 of file Event.h.

sfMouseWheelEvent sfEvent::mouseWheel

Definition at line 182 of file Event.h.

sfSizeEvent sfEvent::size

Definition at line 177 of file Event.h.

sfTextEvent sfEvent::text

Definition at line 179 of file Event.h.

sfEventType sfEvent::type

Type of the event.

Definition at line 176 of file Event.h.

The documentation for this union was generated from the following file:

- Event.h